<?php

use App\Http\Controllers\Documents\ApproveDocumentController;
use App\Http\Controllers\Documents\DeleteDocumentController;
use App\Http\Controllers\Documents\ListDocumentsController;
use App\Http\Controllers\Documents\ListDocumentsJobController;
use App\Http\Controllers\Documents\RejectDocumentController;
use App\Http\Controllers\Documents\UpdateDocumentReferenceController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'document', 'as' => 'document.'], function () {
    Route::get('/list', [ListDocumentsController::class, 'list'])->name('list');
    Route::get('/list/job', [ListDocumentsJobController::class, 'list'])->name('list.job');
    Route::delete('/{id}/delete', [DeleteDocumentController::class, 'delete'])->name('delete');
    Route::put('/{id}/approve', [ApproveDocumentController::class, 'approve'])->name('status.approve');
    Route::put('/{id}/reject', [RejectDocumentController::class, 'reject'])->name('status.reject');

    Route::put('/{id}/reference/update', [UpdateDocumentReferenceController::class, 'update'])->name('reference.update');
});
